<template>
  <div
    class="w-11/12 h-36 bg-tek-white text-tek-black flex justify-around items-center"
  >
    <img
      :src="assetSrc('assets/images/illustrations/ideation.svg')"
      alt=""
      class="h-36 w-36 p-4"
    />
    <div>
      <div class="text-tek-main text-2xl">{{ item.title }}</div>
      <div>{{ item.desc }}</div>
    </div>
    <div v-show="!isBox" class="w-auto">
      <input
        type="number"
        v-model="qtt"
        min="0"
        :max="item.stock"
        class="custom-input w-10"
      />
    </div>
    <div class="font-semibold text-3xl">{{ item.price }}€</div>
    <div v-if="!isCart" class="flex flex-col h-full justify-around py-5">
      <button
        type="button"
        class="mx-2 text-tek-white bg-tek-main border border-tek-main bg-transparent w-auto inline-flex justify-center items-center px-4 py-2 text-md font-medium focus:outline-none"
      >
        Achat immédiat
      </button>
      <button
        type="button"
        class="mx-2 text-tek-main border border-tek-main bg-transparent w-auto inline-flex justify-center items-center px-4 py-2 text-md font-medium focus:outline-none"
      >
        Ajouter au panier
      </button>
    </div>
    <div v-else class="flex flex-col h-full justify-around py-5">
      <button
        type="button"
        @click="deleteCard(id)"
        class="mx-2 text-tek-main border border-tek-main bg-transparent w-auto inline-flex justify-center items-center px-4 py-2 text-md font-medium focus:outline-none"
      >
        Supprimer
      </button>
    </div>
  </div>
</template>

<script>
import { assetsPathMixin } from '@/mixins/assetsPathMixin'
import {EventBus} from '@/event-bus.js'
export default {
  mixins: [assetsPathMixin],
  props: {
    isBox: {
      type: Boolean,
      default: true,
    },
    isCart: {
      type: Boolean,
      default: false,
    },
    id:{type:Number, default:-1},
    item: {
      type: Object,
      default: () => {
        return {
          title: 'La box arduino',
          desc: 'lorem ipsum dolor sit amet',
          stock: 50,
          price: 29.95,
          q:1
        }
      },
    },
  },
  methods: {
    deleteCard(id){
        EventBus.$emit('delete', id)
    }
  },
  data () {
      return {
          qtt: this.item.q
      }
  }
}
</script>
